2019-12-15 21:34 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000963FSSCPsoundpublic2006-11-01 10:06
ReporterBackslash 
Assigned Tokarajorma 
PrioritylowSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.9 
Summary0000963: "On your six!" message never plays any more
DescriptionI'm not sure how long this has been going on, because it's easy to miss, but the wingmen's "On your six" type messages never play any more. I've played through two whole campaigns (with new pilot files) using the 369rc2 and rc3 builds and I haven't heard it. Now that I think back, I don't recall hearing them for many months.
Additional InformationI recall the "Nice shot" messages weren't working a while ago, but I helped track down the reason in the code and that's fixed now. This problem might be related but I don't see any obvious problems in the code (yet). I'll keep looking, and maybe see if I can find an old build that works. This isn't a big problem, but eh, we're trying to act as close to retail as possible right?
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0005983

karajorma (administrator)

It is possible that this is due to the changes that I brought in when adding the option to silence pilots. Those changes were added to CVS on the 2006/04/05 have you noticed the problem with any older builds?

~0006004

ARSPR (reporter)

The order confirmation messages (the ones said when you tell your mates to attack a ship or any other) don't play either. (I don't know if it is related to this one or if I should open another bug).

@Karajorma: I've just used your 20060323 build and there aren't any of these messages neither "Nice shot" ones.

OTOH, which flag/option is supposed to silence pilots (when it works). I do hate all these messages, (I really prefer to keep this bug active forever OR an option to shut up my wing mates)

~0006008

karajorma (administrator)

Hmmm. I forgot that all the builds from around that time would have been mine :) It's quite possible that the new code was in my codebase back then as I swapped things around a few times during the development of the Team Loadout code.

The silence ship options are turned on from the ship editor in FRED.

I'll look into things now.

~0006010

redmenace (manager)

There are builds of mine archived on warpcore if you want to see if you can pinpoint the date which these are introduced.

~0006014

Goober5000 (administrator)

Hmm. I just looked through the code and couldn't figure this out offhand. :-/

~0006022

karajorma (administrator)

@ARSPR. I'm having absolutely no luck reproducing your bug with the latest 3.6.9 CVS code. I hear the order confirmations just fine. I haven't tested for the nice shot ones yet.

@Backslash : Traced and fixed. Congratulations on spotting the lack of "On your six" messages but we should all hang our heads in shame at the fact that the filled and unfilled red triangles denoting attacking ships have been missing from the HUD for SIX MONTHS and nobody noticed :D

~0006024

Goober5000 (administrator)

If they're unrelated, that means ARSPR should open another bug.

~0006025

Backslash (developer)

Nice catch karajorma. Those ! will be the death of us. Man those triangles have been gone so long I didn't remember they existed!

I have yet to hear the on your six message, but that could be something about the campaign I'm testing.

Odd, I could swear the order confirmations were working for me, but I just tested now and they do not. This is with the default CVS, not the 3.6.9 experimental branch (afaik... I can't figure out how to get the branch, yet, anyway).

Hmm, wait, in another mission, the order confirmations and kill praises DO work. This one has multiple friendly squadrons though. Hypothesis: something to do with Alpha wing being the only wing? Will hammer on stuff some more.

~0006028

Goober5000 (administrator)

Marking as resolved. New bug is at 0000969.
+Notes

-Issue History
Date Modified Username Field Change
2006-06-27 21:42 Backslash New Issue
2006-06-28 13:56 karajorma Note Added: 0005983
2006-06-30 19:06 ARSPR Note Added: 0006004
2006-07-01 13:41 karajorma Status new => assigned
2006-07-01 13:41 karajorma Assigned To => karajorma
2006-07-01 13:44 karajorma Note Added: 0006008
2006-07-01 19:22 redmenace Note Added: 0006010
2006-07-02 01:25 Goober5000 Note Added: 0006014
2006-07-02 18:15 karajorma Note Added: 0006022
2006-07-02 19:50 Goober5000 Note Added: 0006024
2006-07-02 19:52 Backslash Note Added: 0006025
2006-07-02 23:12 Goober5000 Note Added: 0006028
2006-07-02 23:12 Goober5000 Status assigned => resolved
2006-11-01 10:06 taylor Resolution open => fixed
2006-11-01 10:06 taylor Fixed in Version => 3.6.9
+Issue History